KWIN_ASSOCIATE_OBJECT(3)

EXPERIMENTAL_FUNC
kwin_associate_object - Associate an object with a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

void kwin_associate_object

(KPixCanvas canvas, CONST void *key, CONST void *object, flag replace)

DESCRIPTION
Associate an object with a pixel canvas.

canvas
    The pixel canvas.

key The key for the associated data object.

object
    The object pointer.

flag
    If TRUE, an existing object with the same key is replaced.

RETURN VALUE
Nothing. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/